#include "Test.h"

namespace MM
{

class Example_test : public Test
{
public:
    Example_test (const Text& suite_name) : Test (suite_name) { }

    void run()
    {
        test_1();   count_tests();
        test_2();   count_tests();
    }

    void test_1()
    {
        TEST ("true", true);
    }

    void test_2()
    {
        TEST ("2*2=4", 2*2 == 4);
    }
};

Example_test test_example ("demo"); //correctness

}//MM
